playlist/: Use socket.url
[libquvi-scripts.git] / autogen.sh
blobe43676f4831a6fd45cefa14da5e4fab5f1146024
1 #!/bin/sh
3 # autogen.sh for libquvi-scripts
4 # Copyright (C) 2011 Toni Gundogdu
6 # This library is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU Lesser General Public
8 # License as published by the Free Software Foundation; either
9 # version 2.1 of the License, or (at your option) any later version.
11 # This library is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY; without even the implied warranty of
13 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
14 # Lesser General Public License for more details.
16 # You should have received a copy of the GNU Lesser General Public
17 # License along with this library; if not, write to the Free Software
18 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
19 # 02110-1301 USA
21 set -e
23 source=.gitignore
24 cachedir=autom4te.cache
26 gen_manual()
28 echo "Generate manual..."
29 MAN=doc/man7/libquvi-scripts.7 ; POD=$MAN.pod ; VN=`./gen-ver.sh`
30 podchecker "$POD" || exit $?
31 pod2man -c "libquvi-scripts manual" -n libquvi-scripts \
32 -s 7 -r "$VN" "$POD" "$MAN"
33 return $?
36 cleanup()
38 echo "WARNING
39 This will remove the files specified in the $source file. This will also
40 remove the $cachedir/ directory with all of its contents.
41 Bail out now (^C) or hit enter to continue."
42 read n1
43 [ -f Makefile ] && make distclean
44 for file in `cat $source`; do # Remove files only.
45 [ -e "$file" ] && [ -f "$file" ] && rm -f "$file"
46 done
47 [ -e "$cachedir" ] && rm -rf "$cachedir"
48 rmdir -p config.aux 2>/dev/null
49 exit 0
52 help()
54 echo "Usage: $0 [-c|-h] [top_srcdir]
55 -c Make the source tree 'maintainer clean'
56 -h Show this help and exit
57 Run without options to (re)generate the configuration files."
58 exit 0
61 while [ $# -gt 0 ]
63 case "$1" in
64 -c) cleanup;;
65 -h) help;;
66 *) break;;
67 esac
68 shift
69 done
71 mkdir -p m4
73 echo "Generate configuration files..."
74 autoreconf -if && gen_manual && echo "You can now run 'configure'"